{lib(company_reg.php)}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="content-type" content="application/xhtml+xml; charset=gbk" />
<title>企业注册——{cfg:(sys,site_name)}</title>
<link rel="shortcut icon" href="favicon.ico" />
<meta name="keywords" content="{cfg:(sys,site_keywords)}">
<meta name="description" content="{cfg:(sys,site_description)}">
<link rel="stylesheet" type="text/css" href="img/css.css"/>
<script src="{$web_url}/plus/js/init.php?act=init_js"></script>
<script src="{$web_url}/images/js/common.js"></script>
<script src="{$web_url}/images/js/date.js"></script>
<script src="{$web_url}/images/js/ajax.js"></script>
<script src="{$web_url}/images/js/dialog.js"></script>
</head>
<body>
<script>
function me_chk_reg(msgx){
	obj_form=document.frm_reg;
	switch(msgx){
		case "company_name":{
			obj_id=document.getElementById("id_company_name");
			if(obj_form.company_name.value.length<3){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入正确企业名称！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			};
			break;
		}
		case "company_linkname":{
			obj_id=document.getElementById("id_company_linkname");
			if(obj_form.company_name.value.length<2){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入联系人真实姓名！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			};
			obj_id=document.getElementById("id_company_area");
			if(obj_form.company_area.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请选择企业所在地区！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
		case "company_tel":{
			obj_id=document.getElementById("id_company_tel");
			if(obj_form.company_tel.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入企业联系电话！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
		case "company_address":{
			obj_id=document.getElementById("id_company_address");
			if(obj_form.company_address.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入企业联系地址！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
		case "reg_name":{
			obj_id=document.getElementById("id_reg_name");
			if(obj_form.reg_name.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入注册会员名称！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
		case "reg_pwd":{
			obj_id=document.getElementById("id_reg_pwd");
			if(obj_form.reg_pwd.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入注册密码！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
		case "reg_repwd":{
			obj_id=document.getElementById("id_reg_repwd");
			if(obj_form.reg_repwd.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入注册重复密码！";
				return false;
			}else if(obj_form.reg_repwd.value!=obj_form.reg_pwd.value){
				obj_id.className="x_info3";
				obj_id.innerHTML="两次输入密码不一致！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
		case "reg_email":{
			obj_id=document.getElementById("id_reg_email");
			if(obj_form.reg_email.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入电子邮件地址！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
		case "reg_code":{
			obj_id=document.getElementById("id_reg_code");
			if(obj_form.reg_code.value==""){
				obj_id.className="x_info3";
				obj_id.innerHTML="请输入电子邮件地址！";
				return false;
			}else{
				obj_id.className="x_info4";
				obj_id.innerHTML="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
				return true;
			}
			break;
		}
	}
}
function me_chk_submit(){
	obj_form=document.frm_reg;
	if(!me_chk_reg("company_name")) {obj_form.company_name.focus();return false}
	if(!me_chk_reg("company_linkname")) {obj_form.company_linkname.focus();return false}
	if(!me_chk_reg("company_tel")) {obj_form.company_tel.focus();return false}
	if(!me_chk_reg("company_address")) {obj_form.company_address.focus();return false}
	if(!me_chk_reg("reg_name")) {obj_form.reg_name.focus();return false}
	if(!me_chk_reg("reg_pwd")) {obj_form.reg_pwd.focus();return false}
	if(!me_chk_reg("reg_repwd")) {obj_form.reg_repwd.focus();return false}
	if(!me_chk_reg("reg_email")) {obj_form.reg_email.focus();return false}
	if(!me_chk_reg("reg_code")) {obj_form.reg_code.focus();return false}
}
</script>
{include(header.html)}
<div class="css_main">
	<div class="reg_company">
		<div class="x_tit1">企业用户注册</div>
		<form name="frm_reg" action="index.php?app=company_reg&act=reg" method="post" onsubmit="return me_chk_submit()">
		<div class="x_box1">
			<li><img src="img/arrow.gif"> 企业名称：<input type="text" name="company_name" value="" class="text_1" onblur="me_chk_reg('company_name');"><span class="x_info2">*</span><span class="x_info" id="id_company_name"></span></li>
			<li><img src="img/arrow.gif"> 所在地区：{$this_company_area}<span class="x_info2">*</span><span class="x_info" id="id_company_area"></span></li>
			<li><img src="img/arrow.gif"> 联 系 人：<input type="text" name="company_linkname" value="" class="text_1" onblur="me_chk_reg('company_linkname');"><span class="x_info2">*</span><span class="x_info" id="id_company_linkname"></span></li>
			<li><img src="img/arrow.gif"> 联系电话：<input type="text" name="company_tel" value="" class="text_1" onblur="me_chk_reg('company_tel');"><span class="x_info2">*</span><span class="x_info" id="id_company_tel"></span></li>
			<li><img src="img/arrow.gif"> 通讯地址：<input type="text" name="company_address" value="" class="text_1" onblur="me_chk_reg('company_address');"><span class="x_info2">*</span><span class="x_info" id="id_company_address"></span></li>
			<li><hr width="580px" color="#cccccc" size=1></li>
			<li><img src="img/arrow.gif"> 会 员 名：<input type="text" name="reg_name" value="" class="text_1" onblur="me_chk_reg('reg_name');"><span class="x_info2">*</span><span class="x_info" id="id_reg_name">会员名须以字母开头，至少4位（可用字母、数字、下划线）</span></li>
			<li><img src="img/arrow.gif"> 密　　码：<input type="password" name="reg_pwd" value="" class="text_1" onblur="me_chk_reg('reg_pwd');"><span class="x_info2">*</span><span class="x_info" id="id_reg_pwd">密码长度设置4-10位，至少4位;建议使用数字、字母混合排列，区分大小写</span></li>
			<li><img src="img/arrow.gif"> 重复密码：<input type="password" name="reg_repwd" value="" class="text_1" onblur="me_chk_reg('reg_repwd');"><span class="x_info2">*</span><span class="x_info" id="id_reg_repwd">当您忘记密码的时候，我们可以将密码发送到您电子邮箱里</span></li>
			<li><img src="img/arrow.gif"> 电子邮件：<input type="text" name="reg_email" value="" class="text_1" onblur="me_chk_reg('reg_email');"><span class="x_info2">*</span><span class="x_info" id="id_reg_email">当您忘记密码的时候，我们可以将密码发送到您电子邮箱里</span></li>
			<li><img src="img/arrow.gif"> 附 加 码：<input type="text" name="reg_code" value="" class="text_1" onblur="me_chk_reg('reg_code');"> <img src="{$web_url}/plus/page.code.php?code=regin" onclick="this.src='{$web_url}/plus/page.code.php?code=regin'"></li>
			<li class="x_xy a_1"><input type="checkbox" name="" value="">我已经阅读并同意智本站的 <a href="">企业服务条款</a></li>
			<li class="x_btn"><input type="submit" name="sub_ok" value="立即注册" class="btn_100"></li>
		</div>
		</form>

	</div>
</div>
{include(footer.html)}
</body>
</html>